import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增海报模板
    distributionpostersave(data) {
        return request({
            url: '/distribution/poster/save', 
            method: 'post',
            data
        })
    },
    //修改海报模板
    editdistributionposter(data) {
        return request({
            url: '/distribution/poster/edit',
            method: 'post',
            data
        })
    },
    //查询海报模板列表
    inquiredistributionposterlist(data) {
        return request({
            url: '/distribution/poster/list',
            method: 'get',
            params: data
        })
    },
    //获取海报模板详细信息
    obtaindistributionposter(data) {
        return request({
            url: `/distribution/poster/` + data,
            method: 'get',
        })
    },
    //查询海报模板列表
    inquiredistributionposterimagelist(data) {
        return request({
            url: '/distribution/poster/image/list',
            method: 'get',
            params: data
        })
    },
}